﻿<#--------------------------------------------------------------------------

 Rename archive folders 
 Script Modified by Neil Perry Zen Software Ltd using example Script provided by MailStore
  
 For MailStore Server 9.1 and higher
 Requires Microsoft PowerShell 3.0 or higher
 
 Copyright (c) 2014, 2015 MailStore Software GmbH

 Permission is hereby granted, free of charge, to any person obtaining
 a copy of this software and associated documentation files (the
 "Software"), to deal in the Software without restriction, including
 without limitation the rights to use, copy, modify, merge, publish,
 distribute, sublicense, and/or sell copies of the Software, and to
 permit persons to whom the Software is furnished to do so, subject to
 the following conditions:

 The above copyright notice and this permission notice shall be
 included in all copies or substantial portions of the Software.
 
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
 LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

--------------------------------------------------------------------------#>
# Edit paths and password here

Import-Module 'C:\zen\MS.PS.Lib.psd1'
$csvfiledata=gc "c:\zen\users.csv"
$adminpasswd="123456789"


# Do Not edit below this line
#--------------------------------------------------------------------------

$array=@()

$csvfiledata | Foreach{
    $elements=$_.split(",")
    $array+= ,@($elements[0],$elements[1])
}

foreach($value in $array)
{
    # Output to console the Current folder being moved
    write-host "fromFolder:" $value[0] "toFolder:" $value[1]

    # Connect to MailStore Server
    $msapiclient = New-MSApiClient -Username admin -Password $adminpasswd -MailStoreServer localhost -Port 8463 -IgnoreInvalidSSLCerts
    
    # move users foler from old name to new name (Merges folders at root level)
    $return = Invoke-MSApiCall $msapiclient "MoveFolder"  @{fromFolder = $value[0]; toFolder = $value[1]}
    $return | fl
}